1

Possibly duplicate of many Question, the reason I am posting here none of them helps, here is the log which appear on Wp-login.php page.

Notice: automatic_feed_links is deprecated since version 3.0! Use add_theme_support( 'automatic-feed-links' ) instead. in /home/truckgua/public_html/test2/wp-includes/functions.php on line 2871

Notice: wp_deregister_script was called incorrectly. Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or login_enqueue_scripts hooks. Please see Debugging in WordPress for more information. (This message was added in version 3.3.) in /home/truckgua/public_html/test2/wp-includes/functions.php on line 3012

Warning: Cannot modify header information - headers already sent by (output started at /home/truckgua/public_html/test2/wp-includes/functions.php:2871) in /home/truckgua/public_html/test2/wp-login.php on line 384

Warning: Cannot modify header information - headers already sent by (output started at /home/truckgua/public_html/test2/wp-includes/functions.php:2871) in /home/truckgua/public_html/test2/wp-login.php on line 396

Warning: Cannot modify header information - headers already sent by (output started at /home/truckgua/public_html/test2/wp-includes/functions.php:2871) in /home/truckgua/public_html/test2/wp-includes/pluggable.php on line 678

Warning: Cannot modify header information - headers already sent by (output started at /home/truckgua/public_html/test2/wp-includes/functions.php:2871) in /home/truckgua/public_html/test2/wp-includes/pluggable.php on line 679

Warning: Cannot modify header information - headers already sent by (output started at /home/truckgua/public_html/test2/wp-includes/functions.php:2871) in /home/truckgua/public_html/test2/wp-includes/pluggable.php on line 680

Warning: Cannot modify header information - headers already sent by (output started at /home/truckgua/public_html/test2/wp-includes/functions.php:2871) in /home/truckgua/public_html/test2/wp-includes/pluggable.php on line 875

I am getting same thing on WP version 3.6 and WP version 3.7.1

Now Here is what I have already did to make it work:

  1. Disabling plugin from FTP
  2. Switching theme by renaming the selected theme folder
  3. Checking for Space after and before,
  4. Replacing WP files with fresh download

One more thing is this website developed on Windows Server and now Moving on Linux Server.

  • Fix the Notices first. The messages tell you what the problems are. – s_ha_dum Dec 5 '13 at 13:50
1

Now Here is what I have already did to make it work:

  1. Disabling plugin from FTP

Which plugin?

  1. Switching theme by renaming the selected theme folder
  2. Checking for Space after and before,

After and before what?

  1. Replacing WP files with fresh download

You stopped too soon. PHP is telling you what problems are occurring and you seem to be ignoring the notices and warnings it is giving you.

Let's read the first Notice:

Notice: automatic_feed_links is deprecated since version 3.0! Use add_theme_support( 'automatic-feed-links' ) instead. 

Now let's wrap the line and add some explanatory text to make it easier to read:

Problem: The automatic_feed_links() function is deprecated since version 3.0.

Solution: Use add_theme_support( 'automatic-feed-links' ); instead.

  1. Look through the theme and plugin files for a call to the automatic_feed_links() function.
  2. Start with the functions.php theme file.
  3. Comment out that function call: // automatic_feed_links(). (It may not look exactly like this.)
  4. Add a new line below that line.
  5. On the new line add: add_theme_support( 'automatic-feed-links' );
  6. Test the change to see if the Notice for that problem goes away.

Let's read the second Notice:

Notice: wp_deregister_script was called incorrectly. Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or login_enqueue_scripts hooks. Please see Debugging in WordPress for more information. (This message was added in version 3.3.) in /home/truckgua/public_html/test2/wp-includes/functions.php on line 3012

Now let's wrap the line and add some explanatory text to make it easier to read:

Problem: The wp_deregister_script() function was called using the wrong hook.

Solution: Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or login_enqueue_scripts hooks.

  1. Look through the theme and plugin files for a call to the wp_deregister_script() function.
  2. Start with the functions.php theme file.
  3. Once you find the line with the wp_deregister_script() function call on it look for the name of the user defined function that line is located in.
  4. Now, look for the add_action() function call that points to the user defined function.
  5. Comment out that line as you did above.
  6. Add a new line below that line.
  7. On the new line add: add_action( 'wp_enqueue_scripts', 'the_name of the user defined function' );.
  8. Replace the_name of the user defined function with the name of the function you found in user defined function you found in step 3.
  9. Test the change to see if the Notice for that problem goes away.
  10. If the Notice remains, replace 'wp_enqueue_scripts' with 'admin_enqueue_scripts' in step 7 and repeat steps 8 and 9.
  11. If the Notice remains, replace 'admin_enqueue_scripts' with 'login_enqueue_scripts' in step 7 and repeat steps 8 and 9.

Once the all Notices are gone, there will no longer be anything added before the headers and the other Warnings may go away.


These changes may not fix the page. Other errors may be doing that, but the Notices should be fixed first, before continuing with more debugging.

| improve this answer | |
  • I did that, now the first 2 notice are gone, but the "Header Already Sent" Problem is still there, Wp-Login loads with empty response and warning after login form submit. – Ishan Dhingra Dec 5 '13 at 18:57
  • Thanks for all your help so far, here are answer to the question you asked for: 1. I have Disabled all plugins, by renaming the plugins folder. 2. Space after and before <?php and ?> tags. – Ishan Dhingra Dec 5 '13 at 19:02
  • You can safely remove the closing ?> PHP tag at the bottom of all files, but you do not need to do that now. Can you give us a link to your Login page so we can see the problem? If not look at the browser page source and see if there are any PHP warnings, notices or errors there that cannot be seen on the page. Sometimes the warning or notice is covered up by an image or by text. – Charles Clarkson Dec 5 '13 at 19:48
  • I did this on my function.php, worked fine. There was one more thing I did, I am explaining it in your answer. Thanks for all your help. – Ishan Dhingra Dec 12 '13 at 4:44
0

It looks like you are trying to use a theme that is relatively old and it is not compatible with the best practices of wordpres 3.4 and above.

The "deprecated" notices need to be fixed. One way is to actually fix them as @Charles suggested, and the other is to hide them by going to your config.php file and remove or comment the line where WP_DEBUG is set to TRUE.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.